<template>
<v-app>
      <v-toolbar fixed dark color="blue-grey darken-4">
        <v-toolbar-title>
          <v-btn flat color="white" to="/main/skillslist">
          SkillsList
          </v-btn>
          <v-btn flat to="/main/emplist">
          EmpsList
        </v-btn>
        </v-toolbar-title>
      <v-spacer></v-spacer>
        <v-label>
          <div style="color: white">You logged as: {{loggedUser.name}}</div>
        </v-label>
      <v-btn flat @click="logoutUser">
        <v-icon>highlight_off</v-icon> Logout
      </v-btn>
    </v-toolbar>
      <v-content>
    <v-container fluid>
      <router-view></router-view>
    </v-container>
  </v-content>
      <v-footer
        fixed
        height="auto"
      >
      <v-layout
        justify-center
        row
        wrap
      >
        <v-flex
          blue-grey darken-4
          py-3
          text-xs-center
          white--text
          xs12
        >
          &copy;2019 — <strong>Maksim Gerasimchuk</strong>
        </v-flex>
      </v-layout>
    </v-footer>
    </v-app>
</template>

<script>
export default {
  name: 'Main',
  data () {
    return {
      loggedUser: {
        name: null,
        login: null,
        password: null
      }
    }
  },
  mounted () {
    if (localStorage.getItem('loggedUser')) {
      try {
        this.loggedUser = JSON.parse(localStorage.getItem('loggedUser'))
      } catch (e) {
        localStorage.removeItem('loggedUser')
      }
    }
    this.$router.push('/main/emplist')
  },
  methods: {
    logoutUser () {
      localStorage.removeItem('loggedUser')
      this.loggedUser = {
        name: null,
        login: null,
        password: null
      }
      this.$router.push('/')
    }
  }
}
</script>

<style scoped>

</style>
